# -*- coding: utf-8 -*-
%define modulever  2.0
%define version    2.0
%define release    alt2
%define sourcename pycrypto

%def_without doc_package

%setup_python_module Crypto


Summary: Cryptography Toolkit for python
Summary(ru_RU.UTF-8): Криптографический инструментарий для python
Name: %packagename
Version: %version
Release: %release.1.1
Source: %sourcename-%modulever.tar.bz2
License: LGPL
Group: Development/Python
Prefix: %_prefix
Url: http://www.amk.ca/python/code/crypto.html

Provides: %{__python_module_prefix}-pycrypto
Obsoletes: %{__python_module_prefix}-pycrypto
BuildRequires: rpm-build-python > 0.12-alt3

%if_without doc_package
Provides: %{__python_module_prefix}-pycrypto-doc
Obsoletes: %{__python_module_prefix}-pycrypto-doc
%endif

BuildPreReq: python

%define moduledocdir %_docdir/%packagename-%version

# Automatically added by buildreq on Sun Jun 20 2004 (-bi)
BuildRequires: latex2html libgmp-devel python-doc-tools python-modules-compiler rpm-build-python tetex-core tetex-latex

%description
This is a collection of both secure hash functions (such as MD5 and
SHA), and various encryption algorithms (AES, DES, IDEA, RSA, ElGamal,
etc.).  The package is structured to make adding new modules easy.

This module is built for python %__python_version

%description -l ru_RU.UTF-8
Это набор функций для вычисления безопасных хэшей (таких как MD5 и
SHA) и различных алгоритмов шифрования (AES, DES, IDEA, RSA, ElGamal и
т.д.). Устройство пакета подразумевает легкое добавление новых
модулей.

Модуль собран для python %__python_version

%if_with doc_package
%package doc
Summary: %modulename API documentation and example programs
Summary(ru_RU.UTF-8): Документация по API и примеры программ для %modulename
Group: Development/Python
Prefix: %_prefix
Requires: %packagename = %version
%description doc
%modulename is a collection of both secure hash functions (such as MD5
and SHA), and various encryption algorithms (AES, DES, IDEA, RSA,
ElGamal, etc.). Install python-%modulename-doc if you need module API
documentation and example programs

%description doc -l ru_RU.UTF-8
%modulename - это набор функций для вычисления безопасных хэшей (таких
как MD5 и SHA) и различных алгоритмов шифрования (AES, DES, IDEA, RSA,
ElGamal и т.д.). Установите python-%modulename-doc, если Вам требуется
документация по API и примеры программирования с использованием
данного модуля.

%endif

%prep
%setup -q -n %sourcename-%modulever

%build
%__python setup.py build

pushd Doc
make -f /usr/share/python-doc-tools/Makefile MODULE=pycrypt html
popd

%install
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=%buildroot \
		--record=INSTALLED_FILES

# remove test framework from the [main] build
subst '/\/test/d' INSTALLED_FILES

%__mkdir_p %buildroot%moduledocdir/API
# install can't be [easily] used for a recursive installations :-(
cp -pr Doc/html/* %buildroot%moduledocdir/API
cp -pr Demo %buildroot%moduledocdir/
%__install ACKS ChangeLog README TODO %buildroot%moduledocdir/

%files -f INSTALLED_FILES

%docdir %moduledocdir
%moduledocdir/ACKS
%moduledocdir/ChangeLog
%moduledocdir/README
%moduledocdir/TODO

%if_with doc_package
%files doc
%endif

%docdir %moduledocdir
%moduledocdir/API
%moduledocdir/Demo

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.0-alt2.1.1
- Rebuilt with python-2.5.

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.0-alt2.1
- Rebuilt with python-2.4.

* Tue Aug 31 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt2
- fixed provides/obsoletes

* Mon Aug 30 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt1
- package name changed from python-module-pycrypto to python-module-Crypto
- new version (2.0)
- separation of doc package is optional (by default docs go to the main package)

* Sun Jun 20 2004 Alexey Morozov <morozov@altlinux.org> 1.9a6-alt2
- Build w/ the new python modules scheme

* Sun Jan 11 2004 Alexey Morozov <morozov@altlinux.org> 1.9a6-alt1
- Initial build for ALT Linux
